Bug 91625 - (VIDEO4LINUX BTTV)Radio sound quirks
(VIDEO4LINUX BTTV)Radio sound quirks
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-05-26 06:01 EDT by David Balažic
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Balažic 2003-05-26 06:01:12 EDT
Description of problem:

Whenever I start /usr/bin/radio (from xawtv-3.88-1) as root, the radio sound 
mutes for a part of second and then goes on and in the logs the following line 
appears :
tuner: radio freq (400.00) out of range (65-108)

( after starting /usr/bin/radio , I leave it with 'x' , so it leaves
the sound playing )

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run radio
2. select a channel
3. leave with the 'x' key , so the sound keeps playing
4. start radio again
Actual results:

The sound "blurps" ( becomes muted ) for a part of second and the mentioned 
message appears in the log

Expected results:

nothing of the above

Additional info:
Comment 1 Ngo Than 2003-05-26 11:57:47 EDT
Do you have this problem in old xawtv (3.81) ?

>Whenever I start /usr/bin/radio (from xawtv-3.88-1) as root, the radio sound 
>mutes for a part of second and then goes on and in the logs the following line 
>appears :
>tuner: radio freq (400.00) out of range (65-108)

>( after starting /usr/bin/radio , I leave it with 'x' , so it leaves
>the sound playing )
is this problem gone if you restart it again?
Comment 2 David Balažic 2003-05-27 03:59:06 EDT
I discovered ( by adding an "exit(1)" right after the "open()" in radio.c ) 
that this happens whenever /dev/radio is opened, so it seems to be a driver 

Simple test :
[root@slave6 xawtv-3.88]# cat /dev/radio
tuner: radio freq (400.00) out of range (65-108)
cat: /dev/radio: Invalid argument

If radio is playing when the "cat" is run , the sound is muted for a part of 

This happens also with other kernels :

2.4.20-20.1.2002.nptl - athlon
bttv: driver version 0.7.104 loaded

Shrike ( RHL 9 ) :
kernel 2.4.20-8 athlon
bttv: driver version 0.7.96 loaded

Same on Psyche ( RHL 8.0 ) :
kernel 2.4.18-18.8.0 athlon
bttv: driver version 0.7.91 loaded
Comment 3 Ngo Than 2003-05-27 06:04:03 EDT
i assign it to correct to correct component
Comment 4 Alan Cox 2003-06-08 08:47:02 EDT
Looks like the radio powers up at a bogus frequency and the driver doesnt handle
this corner case. You might want to drop a note about it to
Comment 5 David Balažic 2003-06-09 03:47:59 EDT
What do you mean by "powers up" ?
This happens way after power up.
And the this is not some weird state of the tuner HW. The tuner HW is just fine 
( playing the channel I selected before ). It is the driver explicitly calling 
its own channel tuning function to tune to an "out-of-range" frequency.

I posted to video4linux-list@redhat.com and received zero response :-(
Comment 6 Bugzilla owner 2004-09-30 11:40:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.